On Thu, Feb 21, 2013 at 1:04 AM, Hans Petter Selasky <hsela...@c2i.net> wrote:
> USE_LIBUSB1 should be set, and -lusb must be used as linker flag, not -
> lusb-1.0 like under linux.
>
> In FreeBSD -lusb is a multi-API library, including v0.1, v1.0 and v2.0. Header
> files are in /usr/include

Maybe it is good to have a pkg-config pc file for libusb-0.1 and libusb-1.0
wrapper to point to the correct -lusb flag.

Reference: 
http://freebsd.1045724.n5.nabble.com/libusb-config-missing-td4055538.html

Or maybe it is good to have symbolic link to libusb-1.0.so.


-- 
Xiaofan
_______________________________________________
freebsd-usb@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-usb
To unsubscribe, send any mail to "freebsd-usb-unsubscr...@freebsd.org"

Reply via email to